Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class ServiceGroupAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.ServiceGroupAdmin

public class ServiceGroupAdmin
extends AbstractAdmin

Admin service to manage service groups

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`ServiceGroupAdmin()`

Method Summary
`ServiceGroupMetaData` | `configureMTOM(java.lang.String flag, java.lang.String serviceGroupName)` set the service group parameter enableMTOM to manipulate MTOM flag true/false/optional
`boolean` | `deleteServiceGroup(java.lang.String serviceGroupName)`
`java.lang.String` | `dumpAAR(java.lang.String serviceGroupName)` Using the information from AxisServiceGroup, a service archive will be created.
`org.apache.axiom.om.OMElement[]` | `getDeclaredServiceGroupParameters(java.lang.String serviceGroupId)` return only the parameters for explicitly set for this service group (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`org.apache.axiom.om.OMElement` | `getPolicy(java.lang.String serviceGroupId, java.lang.String serviceGroupVersion)`
`org.apache.axiom.om.OMElement[]` | `getServiceGroupParameters(java.lang.String service_group_id, java.lang.String group_version)` Return all parameters for this service group (including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`ServiceGroupMetaData` | `listServiceGroup(java.lang.String serviceGroupName)` Return service group details for a given service group
`ServiceGroupMetaData[]` | `listServiceGroups()` List all the available service groups
`void` | `removeServiceGroup(java.lang.String groupName)` Remove a service group
`void` | `removeServiceGroupParameter(java.lang.String serviceGroupId, org.apache.axiom.om.OMElement parameterElement)`
`void` | `setPolicy(java.lang.String serviceGroupId, java.lang.String serviceGroupVersion, org.apache.axiom.om.OMElement policyElement)`
`void` | `setServiceGroupParameter(java.lang.String serviceGroupId, org.apache.axiom.om.OMElement parameterElement)`
`void` | `setServiceGroupParameters(java.lang.String serviceGroupId, org.apache.axiom.om.OMElement[] parameterElement)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupAdmin

    public ServiceGroupAdmin()

Method Detail

### listServiceGroup

    public ServiceGroupMetaData listServiceGroup(java.lang.String serviceGroupName)
                                          throws org.apache.axis2.AxisFault

  Return service group details for a given service group

  Parameters:
    `serviceGroupName` -
  Returns:
    ServiceGroupMetaData
  Throws:
    `org.apache.axis2.AxisFault`

### configureMTOM

    public ServiceGroupMetaData configureMTOM(java.lang.String flag,
                                              java.lang.String serviceGroupName)
                                       throws org.apache.axis2.AxisFault

  set the service group parameter enableMTOM to manipulate MTOM flag true/false/optional

  Parameters:
    `flag` -
  Returns:
    ServiceGroupMetaData
  Throws:
    `org.apache.axis2.AxisFault`

### listServiceGroups

    public ServiceGroupMetaData[] listServiceGroups()
                                             throws org.apache.axis2.AxisFault

  List all the available service groups

  Throws:
    `org.apache.axis2.AxisFault`

### removeServiceGroup

    public void removeServiceGroup(java.lang.String groupName)
                            throws org.apache.axis2.AxisFault

  Remove a service group

  Parameters:
    `groupName` -
  Throws:
    `org.apache.axis2.AxisFault`

### getServiceGroupParameters

    public org.apache.axiom.om.OMElement[] getServiceGroupParameters(java.lang.String service_group_id,
                                                                     java.lang.String group_version)
                                                              throws org.apache.axis2.AxisFault

  Return all parameters for this service group (including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `service_group_id` -
    `group_version` -
  Returns:
    list of service group params as on OMElement[]
  Throws:
    `org.apache.axis2.AxisFault`

### getDeclaredServiceGroupParameters

    public org.apache.axiom.om.OMElement[] getDeclaredServiceGroupParameters(java.lang.String serviceGroupId)
                                                                      throws org.apache.axis2.AxisFault

  return only the parameters for explicitly set for this service group (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `serviceGroupId` -
  Returns:
    list of declared service group params as an OMElement[]
  Throws:
    `org.apache.axis2.AxisFault`

### setServiceGroupParameters

    public void setServiceGroupParameters(java.lang.String serviceGroupId,
                                          org.apache.axiom.om.OMElement[] parameterElement)
                                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setServiceGroupParameter

    public void setServiceGroupParameter(java.lang.String serviceGroupId,
                                         org.apache.axiom.om.OMElement parameterElement)
                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### removeServiceGroupParameter

    public void removeServiceGroupParameter(java.lang.String serviceGroupId,
                                            org.apache.axiom.om.OMElement parameterElement)
                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteServiceGroup

    public boolean deleteServiceGroup(java.lang.String serviceGroupName)
                               throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getPolicy

    public org.apache.axiom.om.OMElement getPolicy(java.lang.String serviceGroupId,
                                                   java.lang.String serviceGroupVersion)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### setPolicy

    public void setPolicy(java.lang.String serviceGroupId,
                          java.lang.String serviceGroupVersion,
                          org.apache.axiom.om.OMElement policyElement)
                   throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### dumpAAR

    public java.lang.String dumpAAR(java.lang.String serviceGroupName)
                             throws org.apache.axis2.AxisFault

  Using the information from AxisServiceGroup, a service archive will be created. A String will be returned with ID, that can be used to access the AAR and dump it anywhere user wishes.

  Parameters:
    `serviceGroupName` -
  Returns:
    id of service archive
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD